<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: EulerDerivative.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_euler_derivative_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">EulerDerivative.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_euler_derivative_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef EULERDERIVATIVE_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define EULERDERIVATIVE_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>EulerDerivative_impl;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_euler_derivative.html">   36</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_euler_derivative.html">EulerDerivative</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_euler_derivative.html#a97bfe2635bc30f1e0761209bfb8cbe67">EulerDerivative</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent,</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;                  <span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *position, std::string name,</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;                  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *init_value = NULL);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_euler_derivative.html#a95249a7a215db6ff641980fc7b86e5c3">~EulerDerivative</a>();</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_euler_derivative.html#a39bcc4797141ea7263e9744b92b536f7">Output</a>(<span class="keywordtype">int</span> row, <span class="keywordtype">int</span> col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1filter_1_1_euler_derivative.html#a2bffd5095092c37ad017ef11c6dfeaaf">GetMatrix</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keyword">class </span>EulerDerivative_impl *pimpl_;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;};</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#endif // EULERDERIVATIVE_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_euler_derivative_html_a95249a7a215db6ff641980fc7b86e5c3"><div class="ttname"><a href="classflair_1_1filter_1_1_euler_derivative.html#a95249a7a215db6ff641980fc7b86e5c3">flair::filter::EulerDerivative::~EulerDerivative</a></div><div class="ttdeci">~EulerDerivative()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_euler_derivative_html_a97bfe2635bc30f1e0761209bfb8cbe67"><div class="ttname"><a href="classflair_1_1filter_1_1_euler_derivative.html#a97bfe2635bc30f1e0761209bfb8cbe67">flair::filter::EulerDerivative::EulerDerivative</a></div><div class="ttdeci">EulerDerivative(const core::IODevice *parent, const gui::LayoutPosition *position, std::string name, const core::Matrix *init_value=NULL)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_euler_derivative_html_a2bffd5095092c37ad017ef11c6dfeaaf"><div class="ttname"><a href="classflair_1_1filter_1_1_euler_derivative.html#a2bffd5095092c37ad017ef11c6dfeaaf">flair::filter::EulerDerivative::GetMatrix</a></div><div class="ttdeci">core::Matrix * GetMatrix(void) const </div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_euler_derivative_html"><div class="ttname"><a href="classflair_1_1filter_1_1_euler_derivative.html">flair::filter::EulerDerivative</a></div><div class="ttdoc">Class defining an euler derivative. </div><div class="ttdef"><b>Definition:</b> EulerDerivative.h:36</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_euler_derivative_html_a39bcc4797141ea7263e9744b92b536f7"><div class="ttname"><a href="classflair_1_1filter_1_1_euler_derivative.html#a39bcc4797141ea7263e9744b92b536f7">flair::filter::EulerDerivative::Output</a></div><div class="ttdeci">float Output(int row, int col) const </div><div class="ttdoc">Output value. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_c640b400eb634d478af9606dd6c9f1e6.html">FlairFilter</a></li><li class="navelem"><a class="el" href="dir_9f4b49da50e680b0f2ceec11232e4cfd.html">src</a></li><li class="navelem"><a class="el" href="_euler_derivative_8h.html">EulerDerivative.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
